/*
	FPDigitsCmd.cc

	Will Eighteen, 2000: will@opaline.demon.co.uk
*/

#include "FPDigitsCmd.h"
#include "Application.h"
#include <LineEdit.h>

#include "OpResources.h"	// this is the only resources file with global resources

FPDigitsCmd::FPDigitsCmd ( const char *name, int active ) :  Cmd ( name, active )
{
	_popupRealised = False;
}


void FPDigitsCmd::doCommand()
{
	if ( _popupRealised == TRUE )
		return;

	char buf[30];
	
	_edit = new LineEdit ( ( char * ) name(), TRUE,
									&FPDigitsCmd::enterCallback,
									&FPDigitsCmd::cancelCallback, ( void * ) this );	
      
	/* retrieve resource to be displayed */
 	snprintf ( buf, sizeof ( buf ), "%d", mixwaveResources->fpDigits() );
	buf [ sizeof ( buf ) - 1 ] = 0;
	_edit->setColumns ( strlen ( buf ) );	// set width before instantiation
	_edit->setHelp ( "Maximum number of digits to display after decimal point." );
	_edit->execute();
	_edit->setText ( buf );	// can't set text before instantiation...
	_popupRealised = True;
}


void FPDigitsCmd::undoCommand()
{
	// not implemented
}


void FPDigitsCmd::enterCallback ( void *clientData, char *text )
{
	int num;

	FPDigitsCmd *obj = ( FPDigitsCmd * ) clientData;
	sscanf ( text, "%d", &num );	

	if ( num > 0 )
		obj->enter ( num );
	
	obj->_popupRealised = False;
	delete obj->_edit;
}

/* specify resource to be set on 'enter' or 'ok' */
void FPDigitsCmd::enter ( int num )
{
	// should check here for sensible values
	mixwaveResources->fpDigits ( num );
}


void FPDigitsCmd::cancelCallback ( void *clientData )
{
	FPDigitsCmd *obj = ( FPDigitsCmd * ) clientData;

	obj->_popupRealised = False;
	delete obj->_edit;
}
