/*
    SplitWaveCmd.h - convert stereo file to twin mono files

    Will Eighteen, 2000: will@opaline.demon.co.uk
*/                                                                             

#ifndef SplitWaveCMD_H
#define SplitWaveCMD_H

#ifndef BREAK
#define BREAK
#include <BreakCmd.h>
#endif


#define BUFSIZE 1024

class Wave;

class SplitWaveCmd : public BreakCmd
{
	public:
		SplitWaveCmd ( char *, int, char *, long );
		virtual ~SplitWaveCmd();
		char *source() { return _srcFile; }
		char *targetL() { return _dstFileL; }
		char *targetR() { return _dstFileR; }
		int error() { return _error; }
		
	protected:
		void doCommand();
		
	private:
		int _once;
		int _percentDone;
		char _srcFile[BUFSIZE];
		char _dstFileL[BUFSIZE];
		char _dstFileR[BUFSIZE];
		long _blockLength;
		Wave *_pWave;
		Wave *_pLeft, *_pRight;
		int _error;
};

#endif
