/*
 QuestionDialogManager.h

 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/

#ifndef QUESTIONDIALOGMANAGER_H
#define QUESTIONDIALOGMANAGER_H

#include "DialogManager.h"

class QuestionDialogManager : public DialogManager
{
	public:
		QuestionDialogManager ( const char *name ) : DialogManager ( name ) { }
	
	protected:
		Widget createDialog ( Widget );
	
};

extern QuestionDialogManager *questionDialogManager;

#endif

/*
  Notes:
  
  Intended to be used, like the InfoDialogMAnager, as an application-wide
  resource within the LessTifApp framework. Applications are only meant to have
  one instance of these classes and to call the post() method when a qusetion
  needs answering. Basic dialog management is provided by DialogManager; the
  QuestionDialogManagerdefines the type of dialog displayed and creates the
  global instance questionDialogManager (as for infoDialogManager).
*/
